RingCX Queue Group Quick Start

Last updated: 2026-07-24Contributors
Edit this page

Welcome to the RingCX Platform. In this quick start, we are going to create a queue group for an account. Let's get started.

Create an App

The first thing we need to do is create an app in the RingCentral Developer Portal. This can be done quickly by clicking the "Create App" button below. Just click the button, enter a name and description if you choose, and click the "Create" button. If you do not yet have a RingCentral account, you will be prompted to create one.

Create App

  1. Login or create an account if you have not done so already.
  2. Go to Console/Apps and click 'Create App' button.
  3. Select "REST API App" under "What type of app are you creating?" Click "Next."
  4. Under "Auth" select "JWT auth flow"
  5. Under "Security" add the following permissions:
    • ReadAccounts
  6. Under "Security" select "This app is private and will only be callable using credentials from the same RingCentral account."

When you are done, you will be taken to the app's dashboard. Make note of the Client ID and Client Secret. We will be using those momentarily.

Configure SDK credentials

The JavaScript and Python samples use JWT authentication and load credentials from a .env file. Create a .env file in the directory where you run the sample, or update the dotenv path in the sample:

RC_CLIENT_ID=<clientId>
RC_CLIENT_SECRET=<clientSecret>
RC_JWT=<jwt>
POST https://ringcx.ringcentral.com/voice/api/v1/admin/accounts/{accountId}/gateGroups
Authorization: Bearer <ringcxAccessToken>
Content-Type: application/json

{
  "groupName": "My Queue Group"
}

Install RingCX SDK wrapper for Node JS

$ npm install ringcentral-engage-voice-client dotenv

Create and edit create-queue-group.js

Create a file called create-queue-group.js. The sample reads RC_CLIENT_ID, RC_CLIENT_SECRET, and RC_JWT from your .env file.

const EngageVoice = require('ringcentral-engage-voice-client').default
const path = require('path')
// Remember to modify the path to where you saved your .env file!
require('dotenv').config({ path: path.resolve(__dirname, '../.env') })

const RunRequest = async function () {

    // Instantiate the SDK wrapper object with your RingCentral app credentials
    const ev = new EngageVoice({
        clientId: process.env.RC_CLIENT_ID,
        clientSecret: process.env.RC_CLIENT_SECRET
    })

    try {
        // Authorize with your RingCentral Office user credentials
        await ev.authorize({ jwt: process.env.RC_JWT })

        // Create a new Queue Group
        const postBody = {
            "groupName": "My New Queue Group"
        }
        const response = await ev.post('/api/v1/admin/accounts/{accountId}/gateGroups', postBody)
        console.log(response);
    }
    catch (err) {
        console.log(err.message)
    }
}

RunRequest();

Run Your Code

You are almost done. Now run your script.

$ node create-queue-group.js

Install RingCX SDK Wrapper for PHP

$ composer require engagevoice-sdk-wrapper

Create and Edit create-queue-group.php

Create a file called create-queue-group.php. The sample reads RC_CLIENT_ID, RC_CLIENT_SECRET, and RC_JWT from your .env file.

<?php
// Remember to modify the path to where you installed the RingCentral SDK and saved your .env file!
require('./../vendor/autoload.php');
$dotenv = Dotenv\Dotenv::createImmutable(__DIR__ . '/../');
$dotenv->load();

$ev = new EngageVoiceSDKWrapper\RestClient(
    $_ENV['RC_CLIENT_ID'],
    $_ENV['RC_CLIENT_SECRET']
);

try{
    $ev->login( [ "jwt" => $_ENV['RC_JWT'] ], function($response){
      create_a_queue_group();
    });
} catch (Exception $e) {
    print $e->getMessage();
}

function create_a_queue_group(){
  global $ev;
  try{
    $endpoint = "admin/accounts/~/gateGroups";
    $params = array ( 'groupName' => "My New Queue Group" );
    $response = $ev->post($endpoint, $params);
    print ($response."\r\n");
  }catch (Exception $e) {
    print $e->getMessage();
  }
}
?>

Run Your Code

You are almost done. Now run your script.

$ php create-queue-group.php

Install RingCX SDK Wrapper for Python

pip3 install ringcentral_engage_voice python-dotenv

Create and Edit create-queue-group.py

Create a file called create-queue-group.py. The sample reads RC_CLIENT_ID, RC_CLIENT_SECRET, and RC_JWT from your .env file.

import os, sys, time
from dotenv import load_dotenv
from ringcentral_engage_voice import RingCentralEngageVoice

load_dotenv()

def create_a_queue_group():
    try:
        postBody = {
            "groupName": "My New Queue Group"
        }
        response = ev.post("/api/v1/admin/accounts/{accountId}/gateGroups", postBody).json()
        print(response)
    except Exception as e:
        print(e)


# Instantiate the SDK wrapper object with your RingCentral app credentials
ev = RingCentralEngageVoice(
    os.environ.get('RC_CLIENT_ID'),
    os.environ.get('RC_CLIENT_SECRET')
)

try:
    # Authorize with your RingCentral Office user credentials
    ev.authorize(
        jwt=os.environ.get('RC_JWT')
    )
    create_a_queue_group()
except Exception as e:
    print(e)

Run Your Code

You are almost done. Now run your script.

$ python create-queue-group.py

Need Help?

Having difficulty? Feeling frustrated? Receiving an error you don't understand? Our community is here to help and may already have found an answer. Search our community forums, and if you don't find an answer please ask!

Search the forums »

What's Next?

When you have successfully made your first API call, it is time to take your next step towards building a more robust RingCX application.